> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get testing hours for an assessment

> Retrieve testing hours statistics for a specific assessment



## OpenAPI

````yaml /monolith-v1-openapi.yaml get /v1/assessments/{id}/testing_hours
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/assessments/{id}/testing_hours:
    get:
      tags:
        - Assessments
      summary: Get testing hours for an assessment
      description: Retrieve testing hours statistics for a specific assessment
      operationId: getAssessmentTestingHours
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Assessment ID
      responses:
        '200':
          description: Testing hours retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  stats_total:
                    type: integer
                  from:
                    type: string
                    format: date-time
                  to:
                    type: string
                    format: date-time
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````